JasperInitializer (Apache Tomcat 9.0.37 API Documentation)

org.apache.jasper.servlet

## Class JasperInitializer

- java.lang.Object
- - org.apache.jasper.servlet.JasperInitializer

- All Implemented Interfaces:
    ServletContainerInitializer

      public class JasperInitializer
      extends Object
      implements ServletContainerInitializer

  Initializer for the Jasper JSP Engine.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JasperInitializer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected TldScanner` | `newTldScanner(ServletContext context, boolean namespaceAware, boolean validate, boolean blockExternal)`
    `void` | `onStartup(Set<Class<?>> types, ServletContext context)` Receives notification during startup of a web application of the classes within the web application that matched the criteria defined via the `HandlesTypes` annotation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JasperInitializer

          public JasperInitializer()

  - ### Method Detail

    - #### onStartup

          public void onStartup(Set<Class<?>> types,
                                ServletContext context)
                         throws ServletException

      Description copied from interface: `javax.servlet.ServletContainerInitializer`
      Receives notification during startup of a web application of the classes within the web application that matched the criteria defined via the `HandlesTypes` annotation.
      Specified by:
        `onStartup` in interface `ServletContainerInitializer`
      Parameters:
        `types` - The (possibly null) set of classes that met the specified criteria
        `context` - The ServletContext of the web application in which the classes were discovered
      Throws:
        `ServletException` - If an error occurs

    - #### newTldScanner

          protected TldScanner newTldScanner(ServletContext context,
                                             boolean namespaceAware,
                                             boolean validate,
                                             boolean blockExternal)

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.